Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Block, Referenz auf Objekt fehlt: AcDbField, auf AcDbPolyline.

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Block, Referenz auf Objekt fehlt: AcDbField, auf AcDbPolyline. (536 mal gelesen)
ReneReichel
Mitglied
Technischer Projektleiter


Sehen Sie sich das Profil von ReneReichel an!   Senden Sie eine Private Message an ReneReichel  Schreiben Sie einen Gästebucheintrag für ReneReichel

Beiträge: 20
Registriert: 07.02.2018

ACAD 2019

erstellt am: 20. Apr. 2018 11:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Problemblock.dwg

 
Hallo zusammen,

ich brauche mal wieder Hilfe. Ich habe verschiedene Profilblöcke erstellt, mit Blocktabellen und Attributen sowie Benutzerparametern. Funzt alles bestens, wenn ich diese Blöcke aber in einen weiteren Block einbette, kann ich den Block nicht mehr mit _refedit bearbeiten. Hier kommt lediglich die Fehlermeldung "** Referenz auf Objekt fehlt: AcDbField, auf AcDbPolyline."

Das ist auch so, wenn in dem Block nur der Profilblock (und nichts anderes) eingebettet ist... (siehe Anhang)

Im Blockeditor lässt sich der Block bearbeiten, allerdings ist das umständlich, da hier keine Elemente zum Arbeitssatz hinzugefügt oder entfernt werden können. Außerdem sieht man den Rest der Zeichnung nicht mehr.

Weiß jemand, wo das Problem liegt und wie man es beheben kann?

Danke euch.

Mfg René

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kuschelfee
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Kuschelfee an!   Senden Sie eine Private Message an Kuschelfee  Schreiben Sie einen Gästebucheintrag für Kuschelfee

Beiträge: 127
Registriert: 07.05.2007

Soficad 2018-7
AutoCAD 2019.1.2
Windows 7 Professional

erstellt am: 20. Apr. 2018 13:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ReneReichel 10 Unities + Antwort hilfreich

Wenn dein Schriftfeld (kg) im Attribut gelöscht wird (Blockeditor), lässt sich der Block (1) auch wieder direkt bearbeiten.

Ist jetzt zwar keine Lösung aber nun weißt du woran es liegt.

Vielleicht kannst du deine Berechnung anstatt über Objektwahl auch mit deinen Parametern lösen, dann sollte es auch mit dem Schriftfeld Funktionieren.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ReneReichel
Mitglied
Technischer Projektleiter


Sehen Sie sich das Profil von ReneReichel an!   Senden Sie eine Private Message an ReneReichel  Schreiben Sie einen Gästebucheintrag für ReneReichel

Beiträge: 20
Registriert: 07.02.2018

ACAD 2019

erstellt am: 24. Apr. 2018 10:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Okay, danke für die Info.

Ist mir zwar unverständlich, warum das zu Problemen führt, aber gut. Habe das jetzt über die Blockeigenschaftstabelle gelöst.

Mfg
René

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz